
Foreman - Bug #11840

EC2 "Security Groups" unpredictable drop-down behavior 

09/16/2015 02:58 AM - Brian Musson

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Compute resources - EC2   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.9.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When selecting the Security Groups from the "Virtual Machine" tab, I see six items to choose from (which are visible from the ec2

console as well). Selecting different Subnets from the "Virtual Machine" tab some times refreshes the list. I have over 150 subnets

and just as many security groups. Some times, going to different tabs, such as "Host" or "Operating System", then going directly back

to the "Virtual Machine" tab will sort the issue out. But it mostly does not.

on my foreman server, here is the log. I am creating a new host, assigning my AWS compute resource, then shooting over to the

"Virtual Machine" tab to select a subnet and security group. Note: i realize there may not be any important info below detailing the

conversation between foreman and ec2.

p.s. sorry for creating a duplicate/incomplete bug #11839

Thanks!

2015-09-16 02:53:47 [app] [I]   |   | Started GET "/hosts/new" for 10.12.253.15 at 2015-09-16 02:53:47 -0400

2015-09-16 02:53:47 [app] [I] Processing by HostsController#new as HTML

2015-09-16 02:53:47 [app] [I] Deface: 1 overrides found for 'hosts/_form'

2015-09-16 02:53:47 [app] [I] Deface: 'add_chef_proxy' matched 1 times with 'div#primary'

2015-09-16 02:53:47 [app] [I]   Rendered hosts/_progress.html.erb (0.5ms)

2015-09-16 02:53:47 [app] [I]   Rendered nic/_base_form.html.erb (13.9ms)

2015-09-16 02:53:47 [app] [I]   Rendered nic/_virtual_form.html.erb (2.0ms)

2015-09-16 02:53:47 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.7ms)

2015-09-16 02:53:47 [app] [I]   Rendered nic/manageds/_managed.html.erb (21.3ms)

2015-09-16 02:53:47 [app] [I]   Rendered nic/_base_form.html.erb (11.6ms)

2015-09-16 02:53:47 [app] [I]   Rendered nic/_virtual_form.html.erb (1.0ms)

2015-09-16 02:53:47 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.1ms)

2015-09-16 02:53:47 [app] [I]   Rendered nic/manageds/_managed.html.erb (16.2ms)

2015-09-16 02:53:47 [app] [I]   Rendered hosts/_interfaces.html.erb (42.1ms)

2015-09-16 02:53:47 [app] [I]   Rendered common/os_selection/_architecture.html.erb (2.5ms)

2015-09-16 02:53:47 [app] [I]   Rendered common/os_selection/_operatingsystem.html.erb (3.0ms)

2015-09-16 02:53:47 [app] [I]   Rendered hosts/_operating_system.html.erb (13.6ms)

2015-09-16 02:53:47 [app] [I]   Rendered hosts/_unattended.html.erb (14.6ms)

2015-09-16 02:53:47 [app] [I]   Rendered puppetclasses/_class_parameters.html.erb (0.0ms)

2015-09-16 02:53:47 [app] [I]   Rendered puppetclasses/_classes_parameters.html.erb (7.8ms)

2015-09-16 02:53:47 [app] [I]   Rendered common_parameters/_inherited_parameters.html.erb (5.4ms)

2015-09-16 02:53:47 [app] [I]   Rendered common_parameters/_puppetclass_parameter.html.erb (4.3ms)

2015-09-16 02:53:47 [app] [I]   Rendered common_parameters/_puppetclasses_parameters.html.erb (147.1ms)

2015-09-16 02:53:47 [app] [I]   Rendered common_parameters/_parameter.html.erb (3.3ms)

2015-09-16 02:53:47 [app] [I]   Rendered common_parameters/_parameters.html.erb (20.9ms)

2015-09-16 02:53:47 [app] [I]   Rendered hosts/_form.html.erb (347.0ms)

2015-09-16 02:53:47 [app] [I]   Rendered hosts/new.html.erb within layouts/application (361.5ms)

2015-09-16 02:53:47 [app] [I]   Rendered home/_user_dropdown.html.erb (1.5ms)

2015-09-16 02:53:47 [app] [I] Read fragment views/tabs_and_title_records-3 (0.1ms)

2015-09-16 02:53:47 [app] [I]   Rendered home/_topbar.html.erb (2.6ms)

2015-09-16 02:53:47 [app] [I]   Rendered layouts/base.html.erb (4.0ms)

2015-09-16 02:53:47 [app] [I] Completed 200 OK in 378ms (Views: 356.0ms | ActiveRecord: 13.1ms)

2015-09-16 02:53:48 [app] [I]   |   | Started GET "/hosts/new" for 10.12.253.15 at 2015-09-16 02:53:48 -0400

2015-09-16 02:53:48 [app] [I] Processing by HostsController#new as HTML

05/09/2024 1/3

https://projects.theforeman.org/issues/11839


2015-09-16 02:53:48 [app] [I]   Rendered hosts/_progress.html.erb (0.1ms)

2015-09-16 02:53:48 [app] [I]   Rendered nic/_base_form.html.erb (11.1ms)

2015-09-16 02:53:48 [app] [I]   Rendered nic/_virtual_form.html.erb (1.1ms)

2015-09-16 02:53:48 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.1ms)

2015-09-16 02:53:48 [app] [I]   Rendered nic/manageds/_managed.html.erb (14.3ms)

2015-09-16 02:53:48 [app] [I]   Rendered nic/_base_form.html.erb (8.4ms)

2015-09-16 02:53:48 [app] [I]   Rendered nic/_virtual_form.html.erb (1.0ms)

2015-09-16 02:53:48 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.0ms)

2015-09-16 02:53:48 [app] [I]   Rendered nic/manageds/_managed.html.erb (11.4ms)

2015-09-16 02:53:48 [app] [I]   Rendered hosts/_interfaces.html.erb (27.6ms)

2015-09-16 02:53:48 [app] [I]   Rendered common/os_selection/_architecture.html.erb (1.4ms)

2015-09-16 02:53:48 [app] [I]   Rendered common/os_selection/_operatingsystem.html.erb (1.9ms)

2015-09-16 02:53:48 [app] [I]   Rendered hosts/_operating_system.html.erb (8.4ms)

2015-09-16 02:53:48 [app] [I]   Rendered hosts/_unattended.html.erb (8.7ms)

2015-09-16 02:53:48 [app] [I]   Rendered puppetclasses/_class_parameters.html.erb (0.0ms)

2015-09-16 02:53:48 [app] [I]   Rendered puppetclasses/_classes_parameters.html.erb (6.6ms)

2015-09-16 02:53:48 [app] [I]   Rendered common_parameters/_inherited_parameters.html.erb (4.5ms)

2015-09-16 02:53:48 [app] [I]   Rendered common_parameters/_puppetclass_parameter.html.erb (2.9ms)

2015-09-16 02:53:48 [app] [I]   Rendered common_parameters/_puppetclasses_parameters.html.erb (4.3ms)

2015-09-16 02:53:48 [app] [I]   Rendered common_parameters/_parameter.html.erb (1.7ms)

2015-09-16 02:53:48 [app] [I]   Rendered common_parameters/_parameters.html.erb (3.8ms)

2015-09-16 02:53:48 [app] [I]   Rendered hosts/_form.html.erb (98.7ms)

2015-09-16 02:53:48 [app] [I]   Rendered hosts/new.html.erb within layouts/application (99.5ms)

2015-09-16 02:53:48 [app] [I]   Rendered home/_user_dropdown.html.erb (1.4ms)

2015-09-16 02:53:48 [app] [I] Read fragment views/tabs_and_title_records-3 (0.1ms)

2015-09-16 02:53:48 [app] [I]   Rendered home/_topbar.html.erb (2.4ms)

2015-09-16 02:53:48 [app] [I]   Rendered layouts/base.html.erb (4.0ms)

2015-09-16 02:53:48 [app] [I] Completed 200 OK in 112ms (Views: 96.7ms | ActiveRecord: 9.3ms)

2015-09-16 02:53:54 [app] [I]   |   | Started POST "/hosts/compute_resource_selected" for 10.12.253.15 at 2015-09-16 02:53:54 0400

2015-09-16 02:53:54 [app] [I] Processing by HostsController#compute_resource_selected as */*

2015-09-16 02:53:54 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"--- SNIP ----", "host"=>{"name"=>"",

"hostgroup_id"=>"", "compute_resource_id"=>"9", "environment_id"=>"", "puppet_ca_proxy_id"=>"", "puppet_proxy_id"=>"",

"realm_id"=>"", "chef_proxy_id"=>"", "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed",

"interfaces_attributes"=>{"0"=>{"_destroy"=>"0", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"", "domain_id"=>"",

"subnet_id"=>"", "ip"=>"", "managed"=>"1", "primary"=>"1", "provision"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>""},

"new_interfaces"=>{"_destroy"=>"1", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"", "domain_id"=>"",

"subnet_id"=>"", "ip"=>"", "managed"=>"1", "primary"=>"0", "provision"=>"0", "virtual"=>"0", "tag"=>"", "attached_to"=>""}},

"architecture_id"=>"", "provision_method"=>"build", "build"=>"1", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"3-Users",

"enabled"=>"1", "model_id"=>"", "comment"=>"", "overwrite"=>"false"}, "fakepassword"=>"[FILTERED]"}

2015-09-16 02:53:54 [sql] [I] Successfully decrypted field for Foreman::Model::EC2 _aws_us-west-1

2015-09-16 02:53:54 [sql] [I] Successfully decrypted field for Foreman::Model::EC2 _aws_us-west-1

2015-09-16 02:53:54 [sql] [I] Successfully decrypted field for Foreman::Model::EC2 _aws_us-west-1

2015-09-16 02:53:59 [app] [I]   Rendered compute_resources_vms/form/ec2/_base.html.erb (1306.4ms)

2015-09-16 02:53:59 [app] [I]   Rendered compute_resources_vms/form/_volumes.html.erb (1.0ms)

2015-09-16 02:53:59 [app] [I]   Rendered hosts/_compute_detail.html.erb (1312.4ms)

2015-09-16 02:53:59 [app] [I]   Rendered hosts/_compute.html.erb (4954.0ms)

2015-09-16 02:53:59 [app] [I] Completed 200 OK in 4973ms (Views: 4954.5ms | ActiveRecord: 4.8ms)

2015-09-16 02:53:59 [app] [I]   |   | Started POST "/hosts/interfaces" for 10.12.253.15 at 2015-09-16 02:53:59 -0400

2015-09-16 02:53:59 [app] [I] Processing by HostsController#interfaces as */*

2015-09-16 02:53:59 [app] [I]   Parameters: {"utf8"=>"✓",

"authenticity_token"=>"uCbZtbh0U8kxeBopZKz/kqYjw3KSiRs+s9d4OuPDsfE=", "host"=>{"name"=>"", "hostgroup_id"=>"",

"compute_resource_id"=>"9", "environment_id"=>"", "puppet_ca_proxy_id"=>"", "puppet_proxy_id"=>"", "realm_id"=>"",

"chef_proxy_id"=>"", "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed",

"interfaces_attributes"=>{"0"=>{"_destroy"=>"0", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"", "domain_id"=>"",

"subnet_id"=>"", "ip"=>"", "managed"=>"1", "primary"=>"1", "provision"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>""},

"new_interfaces"=>{"_destroy"=>"1", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"", "domain_id"=>"",

"subnet_id"=>"", "ip"=>"", "managed"=>"1", "primary"=>"0", "provision"=>"0", "virtual"=>"0", "tag"=>"", "attached_to"=>""}},

"architecture_id"=>"", "provision_method"=>"build", "build"=>"1", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"3-Users",

"enabled"=>"1", "model_id"=>"", "comment"=>"", "overwrite"=>"false"}, "fakepassword"=>"[FILTERED]"}

2015-09-16 02:53:59 [app] [I]   Rendered nic/_base_form.html.erb (14.4ms)

2015-09-16 02:53:59 [app] [I]   Rendered nic/_virtual_form.html.erb (2.1ms)

2015-09-16 02:53:59 [app] [I]   Rendered nic/_provider_specific_form.html.erb (1.1ms)

2015-09-16 02:53:59 [app] [I]   Rendered nic/manageds/_managed.html.erb (26.9ms)

2015-09-16 02:53:59 [app] [I]   Rendered nic/_base_form.html.erb (10.3ms)

2015-09-16 02:53:59 [app] [I]   Rendered nic/_virtual_form.html.erb (1.1ms)

2015-09-16 02:53:59 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.3ms)

2015-09-16 02:53:59 [app] [I]   Rendered nic/manageds/_managed.html.erb (16.0ms)
2015-09-16 02:53:59 [app] [I]   Rendered hosts/_interfaces.html.erb (49.5ms)

2015-09-16 02:53:59 [app] [I]   Rendered hosts/_interfaces_tab.html.erb (51.8ms)

2015-09-16 02:53:59 [app] [I] Completed 200 OK in 68ms (Views: 52.9ms | ActiveRecord: 3.0ms)

2015-09-16 02:54:00 [app] [I] Connecting to database specified by database.yml

2015-09-16 02:54:07 [sql] [W] Creating scope :completer_scope. Overwriting existing method Organization.completer_scope.

2015-09-16 02:54:07 [sql] [W] Creating scope :completer_scope. Overwriting existing method Location.completer_scope.

Related issues:

Related to Foreman - Bug #12620: Foreman fails to display AWS EC2 security gr... Duplicate 11/27/2015

Related to Foreman - Bug #12837: Security Groups not populated after selectin... Duplicate 12/15/2015

History

#1 - 09/16/2015 03:07 AM - Dominic Cleal

- Category changed from Web Interface to Compute resources - EC2

#2 - 11/27/2015 04:27 AM - Dominic Cleal

- Related to Bug #12620: Foreman fails to display AWS EC2 security groups on host provision added

#3 - 12/16/2015 03:10 AM - Dominic Cleal

- Related to Bug #12837: Security Groups not populated after selecting Subnet in New Host > Virtual Machine added

#4 - 01/20/2016 08:09 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report.  I believe this has been fixed in #6535 due to be released in Foreman 1.10.2.
